/*
  Debugging?
  
  0 = none
  1 = stderr (used when virge is executed from command line)
  2 = syslog (useful when virge is running in 'production', and you want to see what's happening with deliveries
*/
int DEBUG = 0;

/*
  Command line debug option(s) have higher priority than config ones - have to define it like this, since
  load_virge_config() is executed after cmdline params are checked
*/
int CMDLINE_DEBUG = 0;

/* Level:
   0 = none (then there is no point in setting DEBUG)
   1 = general info (start/end of functions)
   2 = errors (1 + error messages)
   3 = details (2 + details on certain operations that occur during virge operation)
   4 = phew (3 + big chunks of text (notification msg body, params to some functions, etc)
*/
int DEBUG_LEVEL = 0;

/*
  Command line debug option(s) have higher priority than config ones - have to define it like this, since
  load_virge_config() is executed after cmdline params are checked
*/
int CMDLINE_DEBUG_LEVEL = 0;

/*
  It is possible to check if extensions will pass regcomp() regex compilation properly
  Use 'R' switch for that
*/
int CHECK_REGEX = 0;

/* By default, don't use email address (recipient) from "To:" header when sending notification to the virus/attachment sender */
int NOTIFY_USE_HEADER_RCPT = 0;

/* Notify the sender when virus is found? */
int NOTIFY_SENDER_VIRUS = 1;

/* Notifu the sender when attachment is rejected? */
int NOTIFY_SENDER_ATTACHMENT = 0;

/* Timeout value - we'll set it to 120 by default - it can be changed in the config */
unsigned int VIRGE_TIMEOUT = 120;

/* Scan for viruses (AVP) by default */
int V_SCAN_AVP = 1;

/* Scan for viruses (Sophie) by default */
int V_SCAN_SOPHIE = 1;

/* Scan for viruses (Trophie) by default */
int V_SCAN_TROPHIE = 1;

/* If loadavg reaches 4, just deliver mails */
int V_DELIVER_LOADAVG = 4;

/* Number of MIME sections in the message - needs to be global var */
int sections = 0;

/* Number of attachments in the message */
int attachCounter = 0;

/* Mail size (in bytes, as result of read() in main()) */
long V_MAIL_SIZE = 0;

/* mail is coming from? */
/* char MAIL_FROM[V_EMAILSIZE]; */

/* and is going to? */
/* char RCPT_TO[V_EMAILSIZE]; */

/* If set to 1, configuration will be checked (and results printed out) - and Virge will exit */
/* -C param will 'turn' this option on */
int CHECK_CONFIG_VERBOSE = 0;

/* Name of the virge itself (needed for syslog logging, so that pathname is stripped */
/* char V_PROGNAME[V_ARGSIZE]; */

/* Message ID, logged with each message (for easier 'tracking' later) */
/* char messageID[V_MSGID]; */

/* Stores a list of users for which mails should be delivered immediately */
/* char ALLOW_USERS[CONFIG_MAX][CONFIG_LEN]; */
int allowUserCount = 0;

/* Stores a list of extensions/filenames that should be checked */
/* char EXTENSIONS[CONFIG_MAX][CONFIG_LEN]; */
int extensionCount = 0;

/* Array that will store list of removed files (attachments) - later to be displayed to end-luser */
/* char REMOVED[CONFIG_MAX][CONFIG_LEN]; */
int removedCount = 0;

/* Global var that says if message needs to be rewritten */
int REWRITE = 0;

/* File descriptor for 'rewritten' message - used in rewrite_attachments() */
int rfd;

/* Boundary - is extracted from the message body - hopefully it'll work okay :) */
/* char boundary[V_BUFSIZE]; */

/* 'Footer' that is attached to the message body when some attachments are removed */
char rewriteHeader[] = "\
Content-Type: text/plain; charset=\"us-ascii\"\n\
Content-Transfer-Encoding: 7bit\n\n\
\
+------------------------------------------------------------ --- -- -\n\
| NOTICE: One of more attachments have been removed from this mail\n\
|         Contact administrator if you require those attachments.\n\
+------------------------------------------------------------ --- -- -\n\
|\n\
| FILE(S) REMOVED:\n\
|\n";
